require "Cocos2d"
require "Cocos2dConstants"
require "sdk/SdkMgr"

sdk_test = {};
local win_size = cc.Director:getInstance():getWinSize()

function sdk_test:__init()
	
end

function sdk_test:star( root )
    self.view = cc.LayerColor:create(cc.c4b(0,0,0,100))
    root:addChild(self.view);
    self._widget = ccs.GUIReader:getInstance():widgetFromJsonFile("scripts/SDK_test.json")
    self._widget:ignoreAnchorPointForPosition(false)
    self._widget:setAnchorPoint(cc.p(0.5, 0.5))
    self._widget:setPosition(win_size.width/2, win_size.height/2)
    self.view:addChild(self._widget)
    
    for i=1, 8 do
    	local fun = function ()
    		self:callback(i)
    	end
    	local button = self._widget:getChildByName("Button_"..i)
        local function previousCallback(sender, eventType)
			if eventType == 2 then
                fun(i)
            end
        end
        button:addTouchEventListener(previousCallback)
    end
end

--re_code：付费返回的状态码（1=成功，2=失败，0=取消）
--re_billing：对应之前调用的计费点编码
function pay_call_back_main(re_code, re_billing)
	print("java_pay_to_lua_pay_call_back(".. re_code ..",".. re_billing ..")" );
end


--function pay_call_back(re_code,re_billing)
--	print("java_pay_to_pay_call_back(".. re_code ..",".. re_billing ..")" );
--end

function sdk_test:callback( case )
	print("case:", case)
	
	if case == 1 then
		
		if AndroidHelper ~= nil then
			--参数1：表示付费渠道
			--参数2：表示计费点编码 
			--参数3：待定义参数
			--参数4：道具名称
			--参数5：计费金额
			--参数6：表示付费返回时的回调函数
			--支付调用统一改为pay，使用第1个参数匹配各渠道，之前的接口保留。
			--AndroidHelper.pay("Utils","30000814309101","30000814309101","100金币", "1",  pay_call_back_main);
			AndroidHelper.pay("Utils", "1", "activate", "3", "4",  pay_call_back_main);
		end
		
	elseif case == 2 then
		SdkMgr:pay(1,pay_call_back_main);
	elseif case == 3 then
		SdkMgr:share(1,pay_call_back_main)
	elseif case == 4 then
		if AndroidHelper ~= nil then
			--参数1：表示付费渠道
			--参数2：表示计费点编码 
			--参数3：待定义参数
			--参数4：道具名称
			--参数5：计费金额
			--参数6：表示付费返回时的回调函数
			--支付调用统一改为pay，使用第1个参数匹配各渠道，之前的接口保留。
			--AndroidHelper.pay("Utils","30000814309101","30000814309101","100金币", "1",  pay_call_back_main);
			AndroidHelper.pay("Utils", "1", "1", "复活", "2",  pay_call_back_main);
		end
	elseif case == 5 then
	
	elseif case == 6 then
	
	elseif case == 7 then
	
	elseif case == 8 then
	
	else
	
	end
	
end